#!/ffp/bin/sh

. /ffp/etc/ffp.subr

name="proftpd"
start_cmd="proftpd_start"
stop_cmd="proftpd_stop"
status_cmd="proftpd_status"

proftpd_start()
{
    proc_start /ffp/bin/$name
}

proftpd_stop()
{
    proc_stop /ffp/bin/$name
    killall $name >/dev/null 2>&1
    sleep 1
    killall -9 $name >/dev/null 2>&1
}

proftpd_status()
{
    proc_status $name
}

run_rc_command "$1"